import images from '@/assets/images/images';
import InnerPageBanner from '@/components/layout/innerPages/banner';
import AboutTopInfo from '@/components/pages/about/TopInfo';
import { IPageParams } from '@/models/layout';
import { setRequestLocale } from 'next-intl/server';
import { getTranslations } from 'next-intl/server';

export default async function AboutUs({
  params,
}: Readonly<{
  params: IPageParams;
}>) {
  const { locale } = await params;

  // Enable static rendering
  setRequestLocale(locale);

  const t = await getTranslations({ locale });

  return (
    <main className="flex flex-col items-center justify-between">
      <InnerPageBanner
        title={t('pages_about_title')}
        imageSrc={images.aboutBanner.src}
      />
      <AboutTopInfo />
    </main>
  );
}
